Vue Bootstrap Typography

Vue Typography - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Documentation and examples for Vue Bootstrap typography, including global settings, headings, body text, lists, and more.

The standard font for MDBootstrap is minimalist and elegant "Roboto" from Google.

About "Roboto"

Roboto has a dual nature. It has a mechanical skeleton and the forms are largely geometric. At the same time, the font features friendly and open curves. While some grotesques distort their letterforms to force a rigid rhythm, Roboto doesn’t compromise, allowing letters to be settled into their natural width. This makes for a more natural reading rhythm more commonly found in humanist and serif types.


Heading

All HTML headings, <h1> through <h6>, are available.

Heading Example

<h1></h1>

h1. Bootstrap heading

<h2></h2>

h2. Bootstrap heading

<h3></h3>

h3. Bootstrap heading

<h4></h4>

h4. Bootstrap heading

<h5></h5>

h5. Bootstrap heading

<h6></h6>

h6. Bootstrap heading
        
            

        <template>
          <div>
            <h1>h1. Bootstrap heading</h1>
            <h2>h2. Bootstrap heading</h2>
            <h3>h3. Bootstrap heading</h3>
            <h4>h4. Bootstrap heading</h4>
            <h5>h5. Bootstrap heading</h5>
            <h6>h6. Bootstrap heading</h6>
          </div>
        </template>

    
        
    

Heading classes

.h1 through .h6 classes are also available, for when you want to match the font styling of a heading but cannot use the associated HTML element.

h1. Bootstrap heading


h2. Bootstrap heading


h3. Bootstrap heading


h4. Bootstrap heading


h5. Bootstrap heading


h6. Bootstrap heading

        
            

        <template>
          <div>
            <p class="h1">h1. Bootstrap heading</p>
            <p class="h2">h2. Bootstrap heading</p>
            <p class="h3">h3. Bootstrap heading</p>
            <p class="h4">h4. Bootstrap heading</p>
            <p class="h5">h5. Bootstrap heading</p>
            <p class="h6">h6. Bootstrap heading</p>
          </div>
        </template>

    
        
    

Responsive headings

By adding an appropriate class, you can make your heading responsive. Thanks to that it will look good on all screen sizes.

Resize your browser windows to see the effect.

h1. heading


h2. heading


h3. heading


h4. heading


h5. heading
        
            

        <template>
          <div>
            <h2 class="h1-responsive">h1. heading</h2>
            <hr>
            <h2 class="h2-responsive">h2. heading</h2>
            <hr>
            <h3 class="h3-responsive">h3. heading</h3>
            <hr>
            <h4 class="h4-responsive">h4. heading</h4>
            <hr>
            <h5 class="h5-responsive">h5. heading</h5>
          </div>
        </template>

    
        
    

Customizing headings

Use the included utility classes to recreate the small secondary heading text from Bootstrap 3.

Fancy display heading With faded secondary text

        
            

        <template>
          <h3>
            <strong>Fancy display heading</strong>
            <small class="text-muted">With faded secondary text</small>
          </h3>
        </template>

    
        
    

Display headings

Traditional heading elements are designed to work best in the meat of your page content. When you need a heading to stand out, consider using a display heading — a larger, slightly more opinionated heading style.

Display 1


Display 2


Display 3


Display 4

        
            

        <template>
          <div>
            <h1 class="display-1">Display 1</h1>
            <h1 class="display-2">Display 2</h1>
            <h1 class="display-3">Display 3</h1>
            <h1 class="display-4">Display 4</h1>
          </div>
        </template>

    
        
    

Lead

Make a paragraph stand out by adding .lead

Lead

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.


Regular paragraph

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Facilis tenetur sit voluptatem molestias ad neque veritatis! Alias natus, nobis laudantium, veritatis, atque illum ipsam nisi voluptas nesciunt harum laborum perspiciatis!

        
            

        <template>
          <p class="lead">
            Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.
          </p>
        </template>

    
        
    

Inline text elements

Styling for common inline HTML5 elements.

You can use the mark tag to highlight text.

This line of text is meant to be treated as deleted text.

This line of text is meant to be treated as no longer accurate.

This line of text is meant to be treated as an addition to the document.

This line of text will render as underlined

This line of text is meant to be treated as fine print.

This line rendered as bold text.

This line rendered as italicized text.

        
            

        <template>
          <div>
            <p>You can use the mark tag to <mark>highlight</mark> text.</p>
            <p><del>This line of text is meant to be treated as deleted text.</del></p>
            <p><s>This line of text is meant to be treated as no longer accurate.</s></p>
            <p><ins>This line of text is meant to be treated as an addition to the document.</ins></p>
            <p><u>This line of text will render as underlined</u></p>
            <p><small>This line of text is meant to be treated as fine print.</small></p>
            <p><strong>This line rendered as bold text.</strong></p>
            <p><em>This line rendered as italicized text.</em></p>
          </div>
        </template>

    
        
    

.mark and .small classes are also available to apply the same styles as <mark> and <small> while avoiding any unwanted semantic implications that the tags would bring.

While not shown above, feel free to use <b> and <i> in HTML5. <b> is meant to highlight words or phrases without conveying additional importance while <i> is mostly for voice, technical terms, etc.


Text utilities

Change text alignment, transform, style, weight, and color with our text utilities and color utilities.


Abbreviations

Stylized implementation of HTML’s <abbr> element for abbreviations and acronyms to show the expanded version on hover. Abbreviations have a default underline from Normalize.css and gain a help cursor to provide additional context on hover and to users of assistive technologies.

Add .initialism to an abbreviation for a slightly smaller font-size.

        
            

        <template>
          <div>
            <p><abbr title="attribute">attr</abbr></p>
            <p><abbr title="HyperText Markup Language" class="initialism">HTML</abbr></p>
          </div>
        </template>

    
        
    

Blockquotes

For quoting blocks of content from another source within your document. Wrap <blockquote class="blockquote"> around any HTML as the quote.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            

        <template>
          <blockquote class="blockquote">
            <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
          </blockquote>
        </template>

    
        
    

Naming a source

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

Someone famous in Source Title
        
            

        <template>
          <blockquote class="blockquote">
            <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
            <footer class="blockquote-footer mb-3">Someone famous in <cite title="Source Title">Source Title</cite></footer>
          </blockquote>
        </template>

    
        
    

Alignment

Use text utilities as needed to change the alignment of your blockquote.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

Someone famous in Source Title
        
            

        <template>
          <blockquote class="blockquote text-center">
            <p class="mb-0">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
            <footer class="blockquote-footer mb-3">Someone famous in <cite title="Source Title">Source Title</cite></footer>
          </blockquote>
        </template>

    
        
    

Text notifications

If you want to interject into the middle of the article important information for the user, use notifications.

Info notification

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo! Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque! Sit, rem, in?

        
            

        <template>
          <blockquote class="blockquote bq-primary">
            <p class="bq-title">Info notification</p>
            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo!
              Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque!
              Sit, rem, in?
            </p>
          </blockquote>
        </template>

    
        
    

Warning notification

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo! Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque! Sit, rem, in?

        
            

        <template>
          <blockquote class="blockquote bq-warning">
            <p class="bq-title">Warning notification</p>
            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo!
              Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque!
              Sit, rem, in?
            </p>
          </blockquote>
        </template>

    
        
    

Success notification

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo! Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque! Sit, rem, in?

        
            

        <template>
          <blockquote class="blockquote bq-success">
            <p class="bq-title">Success notification</p>
            <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo!
              Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque!
              Sit, rem, in?
            </p>
          </blockquote>
        </template>

    
        
    

Lists

Unstyled

Remove the default list-style and left margin on list items (immediate children only). This only applies to immediate children list items, meaning you will need to add the class for any nested lists as well.

  • Lorem ipsum dolor sit amet
  • Consectetur adipiscing elit
  • Integer molestie lorem at massa
  • Facilisis in pretium nisl aliquet
  • Nulla volutpat aliquam velit
    • Phasellus iaculis neque
    • Purus sodales ultricies
    • Vestibulum laoreet porttitor sem
    • Ac tristique libero volutpat at
  • Faucibus porta lacus fringilla vel
  • Aenean sit amet erat nunc
  • Eget porttitor lorem
        
            

        <template>
          <ul class="list-unstyled">
            <li>Lorem ipsum dolor sit amet</li>
            <li>Consectetur adipiscing elit</li>
            <li>Integer molestie lorem at massa</li>
            <li>Facilisis in pretium nisl aliquet</li>
            <li>Nulla volutpat aliquam velit
              <ul>
                <li>Phasellus iaculis neque</li>
                <li>Purus sodales ultricies</li>
                <li>Vestibulum laoreet porttitor sem</li>
                <li>Ac tristique libero volutpat at</li>
              </ul>
            </li>
            <li>Faucibus porta lacus fringilla vel</li>
            <li>Aenean sit amet erat nunc</li>
            <li>Eget porttitor lorem</li>
          </ul>
        </template>

    
        
    

Inline

Remove a list’s bullets and apply some light margin with a combination of two classes, .list-inline and .list-inline-item.

  • Lorem ipsum
  • Phasellus iaculis
  • Nulla volutpat
        
            
        <template>
          <ul class="list-inline">
            <li class="list-inline-item">Lorem ipsum</li>
            <li class="list-inline-item">Phasellus iaculis</li>
            <li class="list-inline-item">Nulla volutpat</li>
          </ul>
        </template>
    
        
    

Description list alignment

Align terms and descriptions horizontally by using our grid system’s predefined classes (or semantic mixins). For longer terms, you can optionally add a .text-truncate class to truncate the text with an ellipsis.

Description lists
A description list is perfect for defining terms.
Euismod
Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.
Donec id elit non mi porta gravida at eget metus.
Malesuada porta
Etiam porta sem malesuada magna mollis euismod.
Truncated term is truncated
Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.
Nesting
Nested definition list
Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.
        
            

        <template>
          <dl class="row">
            <dt class="col-sm-3">Description lists</dt>
            <dd class="col-sm-9">A description list is perfect for defining terms.</dd>
  
            <dt class="col-sm-3">Euismod</dt>
            <dd class="col-sm-9">Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>
            <dd class="col-sm-9 offset-sm-3">Donec id elit non mi porta gravida at eget metus.</dd>
  
            <dt class="col-sm-3">Malesuada porta</dt>
            <dd class="col-sm-9">Etiam porta sem malesuada magna mollis euismod.</dd>
  
            <dt class="col-sm-3 text-truncate">Truncated term is truncated</dt>
            <dd class="col-sm-9">Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum
              massa justo sit amet
              risus.
            </dd>
  
            <dt class="col-sm-3">Nesting</dt>
            <dd class="col-sm-9">
              <dl class="row">
                <dt class="col-sm-4">Nested definition list</dt>
                <dd class="col-sm-8">Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.</dd>
              </dl>
            </dd>
          </dl>
        </template>
    
        
    

Responsive typography

Responsive typography refers to scaling text and components by simply adjusting the root element’s font-size within a series of media queries. MDBootstrap doesn’t do this for you, but it’s fairly easy to add if you need it.

Here’s an example of it in practice. Choose whatever font-sizes and media queries you wish.

        
            

        html {
          font-size: 1rem;
        }

        @include media-breakpoint-up(sm) {
          html {
            font-size: 1.2rem;
          }
        }

        @include media-breakpoint-up(md) {
          html {
            font-size: 1.4rem;
          }
        }

        @include media-breakpoint-up(lg) {
          html {
            font-size: 1.6rem;
          }
        }

    
        
    

Text colors

MDBootstrap allows you to simply set the text color. All you have to to is add one of our color classes:

Lorem ipsum dolor sit amet, consectetur adipisicing elit.

Impedit architecto, totam hic sunt eum odio, deleniti.

Similique ex, expedita minus assumenda a magni beatae dolorum itaque.

Veritatis eum libero nam, adipisci, necessitatibus eos.

Sapiente, ea. Molestias sunt nihil saepe numquam quas perferendis.

Sapiente sit, possimus maiores, quo alias corporis cum eum nesciunt.

Corrupti adipisci, praesentium iusto eos, iure debitis modi.

Odio autem veritatis aliquam consequuntur ea voluptatibus.

Similique, adipisci ea, sequi magnam sit inventore.

Eos et vitae, odit deserunt dignissimos voluptas.

Fugit nihil numquam inventore accusantium tenetur ex est.

Sed odit inventore illum excepturi officia, reiciendis numquam modi.

At odio animi distinctio, aut enim tempora nobis error odit mollitia.

Quo at accusamus vel earum hic, inventore non, minima sint.

Iusto odit eos distinctio temporibus voluptates ad, illo repellat.

Quas fugit fuga assumenda nihil esse et culpa reiciendis voluptatum.

Excepturi iusto amet sunt illo ad debitis quibusdam eius, consequatur.

Non sint nulla incidunt, odit repellat tempore, veniam ratione fugit.

Eius, provident. Quo similique, repellat atque voluptas explicabo odio.

In consequuntur error, non consequatur expedita maxime dolorum.

        
            

        <template>
          <div>
            <p class="red-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
            <p class="pink-text">Impedit architecto, totam hic sunt eum odio, deleniti.</p>
            <p class="purple-text">Similique ex, expedita minus assumenda a magni beatae dolorum itaque.</p>
            <p class="deep-purple-text">Veritatis eum libero nam, adipisci, necessitatibus eos.</p>
            <p class="indigo-text">Sapiente, ea. Molestias sunt nihil saepe numquam quas perferendis.</p>
            <p class="blue-text">Sapiente sit, possimus maiores, quo alias corporis cum eum nesciunt.</p>
            <p class="light-blue-text">Corrupti adipisci, praesentium iusto eos, iure debitis modi.</p>
            <p class="cyan-text">Odio autem veritatis aliquam consequuntur ea voluptatibus.</p>
            <p class="teal-text">Similique, adipisci ea, sequi magnam sit inventore.</p>
            <p class="green-text">Eos et vitae, odit deserunt dignissimos voluptas.</p>
            <p class="light-green-text">Fugit nihil numquam inventore accusantium tenetur ex est.</p>
            <p class="lime-text">Sed odit inventore illum excepturi officia, reiciendis numquam modi.</p>
            <p class="yellow-text">At odio animi distinctio, aut enim tempora nobis error odit mollitia.</p>
            <p class="amber-text">Quo at accusamus vel earum hic, inventore non, minima sint.</p>
            <p class="orange-text">Iusto odit eos distinctio temporibus voluptates ad, illo repellat.</p>
            <p class="deep-orange-text">Quas fugit fuga assumenda nihil esse et culpa reiciendis voluptatum.</p>
            <p class="brown-text">Excepturi iusto amet sunt illo ad debitis quibusdam eius, consequatur.</p>
            <p class="grey-text">Non sint nulla incidunt, odit repellat tempore, veniam ratione fugit.</p>
            <p class="blue-grey-text">Eius, provident. Quo similique, repellat atque voluptas explicabo odio.</p>
            <p class="mdb-color white-text">In consequuntur error, non consequatur expedita maxime dolorum.</p>
          </div>
        </template>

React Bootstrap Typography

React Typography - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap typography is the style and appearance of headings, lists, body text and basic paragraphs - 14 examples coming along with descriptions.

The standard font for MDBootstrap is minimalist and elegant "Roboto" from Google.

About "Roboto"

Roboto has a dual nature. It has a mechanical skeleton and the forms are largely geometric. At the same time, the font features friendly and open curves. While some grotesques distort their letterforms to force a rigid rhythm, Roboto doesn’t compromise, allowing letters to be settled into their natural width. This makes for a more natural reading rhythm more commonly found in humanist and serif types.

MDBTypography

In our docs we are using component called MDBTypography but this is not only avaibale options to use. You can easy use another component called MDBTypo which is the exactly the same component with different name.


Heading

All HTML headings, <h1> through <h6>, are available.

Heading Example

<h1></h1>

h1. Bootstrap heading

<h2></h2>

h2. Bootstrap heading

<h3></h3>

h3. Bootstrap heading

<h4></h4>

h4. Bootstrap heading

<h5></h5>

h5. Bootstrap heading

<h6></h6>

h6. Bootstrap heading
        
            
          import React from 'react';
          import { MDBTypography } from 'mdbreact'

          const TypographyPage = () => (
            <>
              <MDBTypography tag='h1'>h1. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h2'>h2. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h3'>h3. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h4'>h4. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h5'>h5. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h6'>h6. Bootstrap heading</MDBTypography>
            </>
          );

          export default TypographyPage;
        
        
    

Heading classNames

.h1 through .h6 classNames are also available, for when you want to match the font styling of a heading but cannot use the associated HTML element.

h1. Bootstrap heading


h2. Bootstrap heading


h3. Bootstrap heading


h4. Bootstrap heading


h5. Bootstrap heading


h6. Bootstrap heading

        
            
            import React from 'react';
            import { MDBTypography, MDBBox } from 'mdbreact'

            const TypographyPage = () => (
              <>
                <MDBTypography tag='h1' variant="h1">h1. Bootstrap heading</MDBTypography>
                <MDBTypography tag='h2' variant="h2">h2. Bootstrap heading</MDBTypography>
                <MDBTypography tag='h3' variant="h3">h3. Bootstrap heading</MDBTypography>
                <MDBTypography tag='h4' variant="h4">h4. Bootstrap heading</MDBTypography>
                <MDBTypography tag='h5' variant="h5">h5. Bootstrap heading</MDBTypography>
                <MDBTypography tag='h6' variant="h6">h6. Bootstrap heading</MDBTypography>
                <MDBBox tag='p' className="h1">h1. Bootstrap heading</MDBBox>
                <MDBBox tag='p' className="h2">h2. Bootstrap heading</MDBBox>
                <MDBBox tag='p' className="h3">h3. Bootstrap heading</MDBBox>
                <MDBBox tag='p' className="h4">h4. Bootstrap heading</MDBBox>
                <MDBBox tag='p' className="h5">h5. Bootstrap heading</MDBBox>
                <MDBBox tag='p' className="h6">h6. Bootstrap heading</MDBBox>
              </>
            );

            export default TypographyPage;
        
        
    

Responsive headings

By adding an appropriate class, you can make your heading responsive. Thanks to that it will look good on all screen sizes.

Resize your browser windows to see the effect.

h1. heading


h2. heading


h3. heading


h4. heading


h5. heading
        
            
          import React from 'react';
          import { MDBTypography } from 'mdbreact'

          const TypographyPage = () => (
            <>
              <MDBTypography tag='h1' variant="h1-responsive">h1. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h2' variant="h2-responsive">h2. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h3' variant="h3-responsive">h3. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h4' variant="h4-responsive">h4. Bootstrap heading</MDBTypography>
              <MDBTypography tag='h5' variant="h5-responsive">h5. Bootstrap heading</MDBTypography>
            </>
          );

          export default TypographyPage;

        
        
    

Customizing headings

Use the included utility classes to recreate the small secondary heading text from Bootstrap 3.

Fancy display heading With faded secondary text

        
            
          import React from 'react';
          import { MDBTypography } from 'mdbreact'

          const TypographyPage = () => (
            <>
              <MDBTypography tag='h3'>
                <strong>Fancy display heading </strong>
                <small className="text-muted">with faded secondary text</small>
              </MDBTypography>
            </>
          );
          
          export default TypographyPage;

        
        
    

Display headings

Traditional heading elements are designed to work best in the meat of your page content. When you need a heading to stand out, consider using a display heading — a larger, slightly more opinionated heading style.

Display 1


Display 2


Display 3


Display 4

        
            
            import React from 'react';
            import { MDBTypography } from 'mdbreact'
    
            const TypographyPage = () => (
              <>
                <MDBTypography tag="h1" variant="display-1">Display 1</MDBTypography>
                <MDBTypography tag="h2" variant="display-2">Display 2</MDBTypography>
                <MDBTypography tag="h3" variant="display-3">Display 3</MDBTypography>
                <MDBTypography tag="h4" variant="display-4">Display 4</MDBTypography>
              </>
            );
            
            export default TypographyPage;
        
        
    

Lead

Make a paragraph stand out by adding lead className

Lead

Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.


Regular paragraph

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Facilis tenetur sit voluptatem molestias ad neque veritatis! Alias natus, nobis laudantium, veritatis, atque illum ipsam nisi voluptas nesciunt harum laborum perspiciatis!

        
            

          import React from 'react';
          import { MDBTypography, MDBBox } from 'mdbreact';

          const TypographyPage = () => (
            <>
              <MDBTypography tag='h5'>
                <MDBBox tag='u'>Lead</MDBBox>
              </MDBTypography>
              <MDBBox tag='p' className='lead'>
                Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.
                Duis mollis, est non commodo luctus.
              </MDBBox>

              <br />
              <MDBTypography tag='h5'>
                <MDBBox tag='u'>Regular paragraph</MDBBox>
              </MDBTypography>
              <MDBBox tag='p'>
                Lorem ipsum dolor sit amet, consectetur adipisicing elit. Facilis tenetur
                sit voluptatem molestias ad neque veritatis! Alias natus, nobis
                laudantium, veritatis, atque illum ipsam nisi voluptas nesciunt harum
                laborum perspiciatis!
              </MDBBox>
            </>
          );

          export default TypographyPage;

        
        
    

Inline text elements

Styling for common inline HTML5 elements.

You can use the mark tag to highlight text.

This line of text is meant to be treated as deleted text.

This line of text is meant to be treated as no longer accurate.

This line of text is meant to be treated as an addition to the document.

This line of text will render as underlined

This line of text is meant to be treated as fine print.

This line rendered as bold text.

This line rendered as italicized text.

        
            
          import React from 'react';
          import { MDBBox } from 'mdbreact';

          const TypographyPage = () => (
            <>
              <MDBBox tag="p">You can use the mark tag to
                <mark>highlight</mark> text.</MDBBox>
              <MDBBox tag="p">
                <del>This line of text is meant to be treated as deleted text.</del>
              </MDBBox>
              <MDBBox tag="p">
                <s>This line of text is meant to be treated as no longer accurate.</s>
              </MDBBox>
              <MDBBox tag="p">
                <ins>This line of text is meant to be treated as an addition to the document.</ins>
              </MDBBox>
              <MDBBox tag="p">
                <u>This line of text will render as underlined</u>
              </MDBBox>
              <MDBBox tag="p"><small>This line of text is meant to be treated as fine print.</small></MDBBox>
              <MDBBox tag="p"><strong>This line rendered as bold text.</strong></MDBBox>
              <MDBBox tag="p"><em>This line rendered as italicized text.</em></MDBBox>
            </>
          );

          export default TypographyPage;

        
        
    

.mark and .small classNames are also available to apply the same styles as <mark> and <small> while avoiding any unwanted semantic implications that the tags would bring.

While not shown above, feel free to use <b> and <i> in HTML5. <b> is meant to highlight words or phrases without conveying additional importance while <i> is mostly for voice, technical terms, etc.


Text utilities

Change text alignment, transform, style, weight, and color with our text utilities and color utilities.


Abbreviations

Stylized implementation of HTML’s <abbr> element for abbreviations and acronyms to show the expanded version on hover. Abbreviations have a default underline from Normalize.css and gain a help cursor to provide additional context on hover and to users of assistive technologies.

Add .initialism to an abbreviation for a slightly smaller font-size.

        
            
          import React from 'react';
          import { MDBTypography, MDBBox } from 'mdbreact';

          const TypographyPage = () => (
            <>
            <MDBTypography>
              <abbr title='attribute'>attr</abbr>
            </MDBTypography>
            <MDBTypography>
              <abbr title='HyperText Markup Language' className='initialism'>
                HTML
              </abbr>
            </MDBTypography>
            </>
          );

          export default TypographyPage;

        
        
    

Blockquotes

For quoting blocks of content from another source within your document. Wrap <blockquote className="blockquote"> around any HTML as the quote.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

        
            
          import React from 'react';
          import { MDBTypography, MDBBox } from 'mdbreact';

          const TypographyPage = () => (
            <>
            <MDBTypography blockquote>
              <MDBBox tag="p" mb={0}>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</MDBBox>
            </MDBTypography>
            </>
          );

          export default TypographyPage;

        
        
    

Naming a source

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

Someone famous in Source Title
        
            
            import React from 'react';
            import { MDBTypography, MDBBox } from 'mdbreact';

            const TypographyPage = () => (
              <>
              <MDBTypography blockquote>
                <MDBBox tag="p" mb={0}>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</MDBBox>
                <MDBBox tag="footer" mb={3} className="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></MDBBox>
              </MDBTypography>
              </>
            );

            export default TypographyPage;
        
        
    

Alignment

Use text utilities as needed to change the alignment of your blockquote.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.

Someone famous in Source Title
        
            
          import React from 'react';
          import { MDBTypography, MDBBox } from 'mdbreact';

          const TypographyPage = () => (
            <>
              <MDBTypography blockquote className="text-center">
                <MDBBox tag="p" mb={0}>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</MDBBox>
                <MDBBox tag="footer" mb={3} className="blockquote-footer">Someone famous in <cite title="Source Title">Source Title</cite></MDBBox>
              </MDBTypography>
            </>
          );

          export default TypographyPage;
        
        
    

Text notifications

If you want to interject into the middle of the article important information for the user, use notifications.

Info notification

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo! Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque! Sit, rem, in?

        
            
            import React from 'react';
            import { MDBTypography, MDBBox } from 'mdbreact';

            const TypographyPage = () => (
              <>
                <MDBTypography blockquote bqColor='primary'>
                  <MDBBox tag='p' mb={0} className='bq-title'>
                    Info notification
                  </MDBBox>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores
                    quibusdam dignissimos itaque harum illo! Quidem, corporis at quae
                    tempore nisi impedit cupiditate perferendis nesciunt, ex dolores
                    doloremque! Sit, rem, in?
                  </p>
                </MDBTypography>
              </>
            );

            export default TypographyPage;
        
        
    

Warning notification

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo! Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque! Sit, rem, in?

        
            
            import React from 'react';
            import { MDBTypography, MDBBox } from 'mdbreact';

            const TypographyPage = () => (
              <>
                <MDBTypography blockquote bqColor='warning'>
                  <MDBBox tag='p' mb={0} className='bq-title'>
                    Info notification
                  </MDBBox>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores
                    quibusdam dignissimos itaque harum illo! Quidem, corporis at quae
                    tempore nisi impedit cupiditate perferendis nesciunt, ex dolores
                    doloremque! Sit, rem, in?
                  </p>
                </MDBTypography>
              </>
            );

            export default TypographyPage;
        
        
    

Success notification

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores quibusdam dignissimos itaque harum illo! Quidem, corporis at quae tempore nisi impedit cupiditate perferendis nesciunt, ex dolores doloremque! Sit, rem, in?

        
            
          import React from 'react';
          import { MDBTypography, MDBBox } from 'mdbreact';

          const TypographyPage = () => (
            <>
              <MDBTypography blockquote bqColor='success'>
                <MDBBox tag='p' mb={0} className='bq-title'>
                  Info notification
                </MDBBox>
                <p>
                  Lorem ipsum dolor sit amet, consectetur adipisicing elit. Maiores
                  quibusdam dignissimos itaque harum illo! Quidem, corporis at quae
                  tempore nisi impedit cupiditate perferendis nesciunt, ex dolores
                  doloremque! Sit, rem, in?
                </p>
              </MDBTypography>
            </>
          );

          export default TypographyPage;
      
        
    

Note

Bootstrap notes help to emphasize important pieces of information by modifying default bootstrap typography.

Note primary: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note secondary: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note success: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note danger: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note warning: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note info: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

Note light: Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui necessitatibus delectus placeat illo rem id nisi consequatur esse, sint perspiciatis soluta porro?

        
            
          import React from 'react';
          import { MDBTypography } from 'mdbreact';

          const TypographyPage = () => (
            <>
              <MDBTypography note noteColor='primary' noteTitle='Note primary: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='secondary' noteTitle='Note secondary: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='success' noteTitle='Note success: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='danger' noteTitle='Note danger: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='warning' noteTitle='Note warning: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='info' noteTitle='Note info: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='light' noteTitle='Note light: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='default' noteTitle='Note default: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='dark' noteTitle='Note dark: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='unique' noteTitle='Note unique: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='stylish' noteTitle='Note stylish: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='elegant' noteTitle='Note elegant: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
              <MDBTypography note noteColor='special' noteTitle='Note special: '>
                Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cum
                doloremque officia laboriosam. Itaque ex obcaecati architecto! Qui
                necessitatibus delectus placeat illo rem id nisi consequatur esse,
                sint perspiciatis soluta porro?
              </MDBTypography>
            </>
          );

          export default TypographyPage;
      
        
    

Lists

Unstyled

Remove the default list-style and left margin on list items (immediate children only). This only applies to immediate children list items, meaning you will need to add the class for any nested lists as well.

  • Lorem ipsum dolor sit amet
  • Consectetur adipiscing elit
  • Integer molestie lorem at massa
  • Facilisis in pretium nisl aliquet
  • Nulla volutpat aliquam velit
    • Phasellus iaculis neque
    • Purus sodales ultricies
    • Vestibulum laoreet porttitor sem
    • Ac tristique libero volutpat at
  • Faucibus porta lacus fringilla vel
  • Aenean sit amet erat nunc
  • Eget porttitor lorem
        
            
            import React from 'react';
            import { MDBTypography } from 'mdbreact';

            const TypographyPage = () => (
              <>
              <MDBTypography listUnStyled>
                <li>Lorem ipsum dolor sit amet</li>
                <li>Consectetur adipiscing elit</li>
                <li>Integer molestie lorem at massa</li>
                <li>Facilisis in pretium nisl aliquet</li>
                <li>
                  Nulla volutpat aliquam velit
                  <ul>
                    <li>Phasellus iaculis neque</li>
                    <li>Purus sodales ultricies</li>
                    <li>Vestibulum laoreet porttitor sem</li>
                    <li>Ac tristique libero volutpat at</li>
                  </ul>
                </li>
                <li>Faucibus porta lacus fringilla vel</li>
                <li>Aenean sit amet erat nunc</li>
                <li>Eget porttitor lorem</li>
              </MDBTypography>
              </>
            );
            
            export default TypographyPage;
        
        
    

Inline

Remove a list’s bullets and apply some light margin with a combination of two classNames, .list-inline and .list-inline-item.

  • Lorem ipsum
  • Phasellus iaculis
  • Nulla volutpat
        
            
          import React from 'react';
          import { MDBTypography } from 'mdbreact';

          const TypographyPage = () => (
            <>
            <MDBTypography listInLine>
              <li className="list-inline-item">Lorem ipsum</li>
              <li className="list-inline-item">Phasellus iaculis</li>
              <li className="list-inline-item">Nulla volutpat</li>
            </MDBTypography>
            </>
          );

          export default TypographyPage;
        
        
    

Description list alignment

Align terms and descriptions horizontally by using our grid system’s predefined classes (or semantic mixins). For longer terms, you can optionally add a .text-truncate class to truncate the text with an ellipsis.

Description lists
A description list is perfect for defining terms.
Euismod
Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.
Donec id elit non mi porta gravida at eget metus.
Malesuada porta
Etiam porta sem malesuada magna mollis euismod.
Truncated term is truncated
Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.
Nesting
Nested definition list
Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.
        
            
            import React from 'react';

            const Typography = () => (
              <>
              <dl className="row">
                <dt className="col-sm-3">Description lists</dt>
                <dd className="col-sm-9">A description list is perfect for defining terms.</dd>
      
                <dt className="col-sm-3">Euismod</dt>
                <dd className="col-sm-9">Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>
                <dd className="col-sm-9 offset-sm-3">Donec id elit non mi porta gravida at eget metus.</dd>
      
                <dt className="col-sm-3">Malesuada porta</dt>
                <dd className="col-sm-9">Etiam porta sem malesuada magna mollis euismod.</dd>
      
                <dt className="col-sm-3 text-truncate">Truncated term is truncated</dt>
                <dd className="col-sm-9">Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum
                  massa justo sit amet
                  risus.
                </dd>
      
                <dt className="col-sm-3">Nesting</dt>
                <dd className="col-sm-9">
                  <dl className="row">
                    <dt className="col-sm-4">Nested definition list</dt>
                    <dd className="col-sm-8">Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc.</dd>
                  </dl>
                </dd>
              </dl>
              </>
            );
            
            export default Typography;
        
        
    

Responsive typography

Responsive typography refers to scaling text and components by simply adjusting the root element’s font-size within a series of media queries. MDBootstrap doesn’t do this for you, but it’s fairly easy to add if you need it.

Here’s an example of it in practice. Choose whatever font-sizes and media queries you wish.

        
            

          html {
            font-size: 1rem;
          }

          @include media-breakpoint-up(sm) {
            html {
              font-size: 1.2rem;
            }
          }

          @include media-breakpoint-up(md) {
            html {
              font-size: 1.4rem;
            }
          }

          @include media-breakpoint-up(lg) {
            html {
              font-size: 1.6rem;
            }
          }

        
        
    

Text colors

MDBootstrap allows you to simply set the text color. All you have to to is add one of our color classes:

Lorem ipsum dolor sit amet, consectetur adipisicing elit.

Impedit architecto, totam hic sunt eum odio, deleniti.

Similique ex, expedita minus assumenda a magni beatae dolorum itaque.

Veritatis eum libero nam, adipisci, necessitatibus eos.

Sapiente, ea. Molestias sunt nihil saepe numquam quas perferendis.

Sapiente sit, possimus maiores, quo alias corporis cum eum nesciunt.

Corrupti adipisci, praesentium iusto eos, iure debitis modi.

Odio autem veritatis aliquam consequuntur ea voluptatibus.

Similique, adipisci ea, sequi magnam sit inventore.

Eos et vitae, odit deserunt dignissimos voluptas.

Fugit nihil numquam inventore accusantium tenetur ex est.

Sed odit inventore illum excepturi officia, reiciendis numquam modi.

At odio animi distinctio, aut enim tempora nobis error odit mollitia.

Quo at accusamus vel earum hic, inventore non, minima sint.

Iusto odit eos distinctio temporibus voluptates ad, illo repellat.

Quas fugit fuga assumenda nihil esse et culpa reiciendis voluptatum.

Excepturi iusto amet sunt illo ad debitis quibusdam eius, consequatur.

Non sint nulla incidunt, odit repellat tempore, veniam ratione fugit.

Eius, provident. Quo similique, repellat atque voluptas explicabo odio.

In consequuntur error, non consequatur expedita maxime dolorum.

        
            
            import React from 'react';
            import { MDBTypography } from 'mdbreact';

            const MDBTypography = () => (
              <>
                <MDBTypography colorText="red">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="pink">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="purple">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="deep-purple">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="indigo">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="blue">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="light-blue">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="cyan">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="teal">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="light-green">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="lime">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="yellow">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="amber">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="orange">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="brown">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="grey">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="blue-grey">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
                <MDBTypography colorText="mdb-color white-text">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</MDBTypography>
              </>
            );
            
            export default MDBTypography;
        
        
    

React Typography - API

In this section you will find advanced information about the Typography component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Typography import statement

In order to use Typography component make sure you have imported proper module first.

        
            
          import { MDBTypography } from "mdbreact";
          //or
          import { MDBTypo } from "mdbreact";
        
        
    

The table below shows the configuration options of the MDBTypography component.

Name Type Default Description Example
className string Adds custom classes <MDBTypography className="myClass" />
tag string p Sets color of the Typography. Choose one of these: 'ul', 'p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6' <MDBTypography tag="h1" />
variant string Set a text variant to choosen tag. <MDBTypography variant="h1" />
blockquote boolean false Set blockqoute to tag. <MDBTypography blockquote />
bgColor string Sets color of the Typography. Choose one of these: 'primary', 'default', 'success', 'warning', 'danger', 'info', 'secondary', 'light' <MDBTypography bgColor="primary" />
bgTitle string Set title to blockquote. <MDBTypography bqTitle="Your title" />
listUnStyled boolean false Set ul list with un-styled class. <MDBTypography listUnStyled />
listInLine boolean false Set ul list with list-in-line class and set elemnt in line. <MDBTypography listUnStyled />
colorText string Sets color of the Typography. Choose one of these: 'red','pink','purple' ,'deep-purple','indigo','blue','light-blue','cyan','teal','green' ,'light-green','lime','yellow','amber','orange','deep-orange','brown' ,'grey','blue-grey','mdb-color white'. <MDBTypography colorText="pink" />
note boolean false Set to true if you want to have a note. <MDBTypography note/>
noteColor string Sets color of the Note Typography. Choose one of these: 'primary', 'default', 'success', 'warning', 'danger', 'info', 'secondary', 'light', 'dark', 'unique', 'stylish', 'special', 'elegant'. <MDBTypography noteColor="danger/>